#include "random_access_text_file.hpp"
#include "text_file_reader.hpp"

#include <fstream>


RandomAccessTextFile::RandomAccessTextFile(std::string path)
{
    auto file_reader = TextFileReader(path);

    while (!file_reader.endOfFile())
    {
        fileLines_.push_back(file_reader.getLine());
    }
}

std::string RandomAccessTextFile::getLine(size_t lineNumber)
{
    if (lineNumber < fileLines_.size())
    {
        return fileLines_[lineNumber];
    }
    
    return std::string();
}

RandomAccessTextFile::~RandomAccessTextFile()
{

}
